import { IUniversalContainerProps } from '../../props-definitions.interface';
import { IUniversalApplicationStoreEntity, IUniversalContainerClassEntity } from '../../entities-definitions.interface';
import { ConnectorMapperT } from '../../configurations-definitions.interface';
/**
 * @stable [27.08.2018]
 * @param {IUniversalContainerClassEntity} containerCtor
 * @param {ConnectorMapperT<TStoreEntity extends IUniversalApplicationStoreEntity>} mappers
 * @returns {IUniversalContainerClassEntity}
 */
export declare const universalConnectorFactory: <TStoreEntity extends IUniversalApplicationStoreEntity<{}> = IUniversalApplicationStoreEntity<{}>>(containerCtor: IUniversalContainerClassEntity<IUniversalContainerProps, {}>, ...mappers: ConnectorMapperT<TStoreEntity>[]) => IUniversalContainerClassEntity<IUniversalContainerProps, {}>;
