"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../../../util");
var base_1 = require("../../../../component/base");
var simple_1 = require("../simple");
var graphic_1 = require("../graphic");
var text_1 = require("../text");
var secondary_text_1 = require("../secondary-text");
var InfoListItem = /** @class */ (function (_super) {
    __extends(InfoListItem, _super);
    function InfoListItem() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    InfoListItem.prototype.render = function () {
        var _this = this;
        var props = this.props;
        return (React.createElement(simple_1.SimpleListItem, __assign({}, props),
            util_1.orNull(props.graphicContent, function () { return (React.createElement(graphic_1.ListItemGraphic, null, props.graphicContent)); }),
            React.createElement(text_1.ListItemText, null,
                props.children,
                util_1.orNull(props.secondaryTextContent, function () { return (React.createElement(secondary_text_1.ListItemSecondaryText, null, props.secondaryTextContent)); })),
            util_1.orNull(props.metaIconConfiguration, function () { return _this.uiFactory.makeListItemMetaIcon(props.metaIconConfiguration); })));
    };
    return InfoListItem;
}(base_1.BaseComponent));
exports.InfoListItem = InfoListItem;
//# sourceMappingURL=info-list-item.component.js.map