/// <reference types="react" />
import { IUniversalPageToolbarProps } from './page-toolbar.interface';
import { UniversalComponent } from '../../base/universal.component';
export declare abstract class UniversalPageToolbar<TToolbar extends UniversalPageToolbar<TToolbar, TProps, TState>, TProps extends IUniversalPageToolbarProps, TState = {}> extends UniversalComponent<TToolbar, TProps, TState> {
    /**
     * @stable [16.05.2018]
     * @returns {JSX.Element}
     */
    protected checkAndGetControls(): JSX.Element;
    /**
     * @stable [16.05.2018]
     * @returns {JSX.Element}
     */
    protected getToolbarBody(): JSX.Element;
    /**
     * @stable [21.09.2018]
     * @returns {boolean}
     */
    protected isToolbarVisible(): boolean;
    /**
     * @stable [16.05.2018]
     * @returns {boolean}
     */
    protected readonly isPreviousBtnDisabled: boolean;
    /**
     * @stable [16.05.2018]
     * @returns {boolean}
     */
    protected readonly isNextBtnDisabled: boolean;
    /**
     * @stable [16.05.2018]
     * @returns {number}
     */
    protected readonly toNumber: number;
    /**
     * @stable [16.05.2018]
     * @returns {number}
     */
    protected readonly fromNumber: number;
    /**
     * @stable [16.05.2018]
     * @returns {string}
     */
    protected readonly pagesInfoLabel: string;
    /**
     * @stable [16.05.2018]
     * @returns {JSX.Element}
     */
    protected getDefaultContent(): JSX.Element;
    /**
     * @stable [16.05.2018]
     * @returns {JSX.Element}
     */
    protected abstract getContent(): JSX.Element;
    /**
     * @stable [16.05.2018]
     * @returns {JSX.Element}
     */
    protected abstract getControls(): JSX.Element;
}
