"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var basic_select_component_1 = require("./basic-select.component");
var util_1 = require("../../../util");
var Select = /** @class */ (function (_super) {
    __extends(Select, _super);
    function Select() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [20.08.2018]
     * @returns {ISelectOptionEntity[]}
     */
    Select.prototype.toFilteredOptions = function () {
        var _this = this;
        return _super.prototype.toFilteredOptions.call(this).filter(function (option) { return option.value !== _this.value; });
    };
    /**
     * @stable [21.09.2018]
     * @returns {string}
     */
    Select.prototype.getFieldClassName = function () {
        return util_1.toClassName(_super.prototype.getFieldClassName.call(this), 'rac-select');
    };
    Select.defaultProps = {
        forceReload: true,
        preventFocus: true,
    };
    return Select;
}(basic_select_component_1.BasicSelect));
exports.Select = Select;
//# sourceMappingURL=select.component.js.map