"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../../util");
var viewer_component_1 = require("../viewer.component");
var PictureViewer = /** @class */ (function (_super) {
    __extends(PictureViewer, _super);
    function PictureViewer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [08.07.2018]
     * @returns {JSX.Element}
     */
    PictureViewer.prototype.getRenderAreaElement = function () {
        var props = this.props;
        return (React.createElement("img", { className: util_1.toClassName(props.src ? 'rac-picture' : 'rac-picture-empty', props.className), style: props.style, src: props.src || props.defaultScr }));
    };
    /**
     * @stable [08.07.2018]
     * @returns {JSX.Element}
     */
    PictureViewer.prototype.gePreviewElement = function () {
        var props = this.props;
        return (React.createElement(PictureViewer, { src: props.src, usePreview: false }));
    };
    PictureViewer.defaultProps = {
        defaultScr: 'media/no_picture.jpg',
        usePreview: true,
    };
    return PictureViewer;
}(viewer_component_1.Viewer));
exports.PictureViewer = PictureViewer;
//# sourceMappingURL=picture-viewer.component.js.map